Create prolong order

The Create prolong order method is used to create a prolong order for a subscription for the current reseller or any of its downstream resellers. The standard logic of the platform is used (see ).

POST {base_url}/api/v3/resellers/{reseller_id}/prolong_order

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

data

form

object

Required

Information about the attributes of the operation


attributes

form

object

Required

Attributes of the operation



subscription_id

form

integer

Required

ID of the subscription to prolong



resources

form

object

Optional

List of resources in the order. If absent, the subscription will be prolonged with the current amount of resources




data


form

array

Optional

Information about resources which amount is to be changed





plan_resource_id

form

integer

Optional

ID of the plan resource





quantity

form

integer

Optional

Target amount of the plan resource



promo_code

form

string

Optional

Promo-code for a discount

Response model

If no errors are encountered, the method returns data as the information about the created order (see the response model in Get order). Status: 201 Created.

Errors

Status

Error text

Comment

403

This action is forbidden

Check the list of available operations for the subscription (see 

Get subscription

)

422

The order cannot be completed: the order total has exceeded the credit limit for this subscription

To create the order, it is necessary to increase the credit limit of the account (see 


) or individual credit limit of the subscription (see 


)

There are ordered invalid amount of resources

The total amount of a resource with the additional amount should fit the range defined in the plan (see 

Get plan

)

The resource id is not available for ordering in plan

The resource is not available in the current plan

Request example

XML
POST /api/v3/resellers/1/prolong_order
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json
JSON
{
    "data": {
        "attributes": {
            "subscription_id": 3008945,
            "resources": {
                "data": [
                    {
                        "plan_resource_id": 4340,
                        "quantity": 5
                    }
                ]
            },
            "promo_code": ""
        }
    }
}

Response example

JSON
{
    "data": {
        "id": "16106",
        "type": "prolong_orders",
        "attributes": {
            "created_at": "2021-12-27T01:23:02.982+03:00",
            "updated_at": "2021-12-27T01:23:03.128+03:00",
            "document_id": "PO0000818",
            "status": "waiting_for_payment",
            "account_id": 1405,
            "type": "ProlongOrder",
            "closed_at": null,
            "expiration_date": "2022-02-01",
            "provisioning_date": null,
            "total": "500.0",
            "promo_code": null,
            "payment_id": 11373,
            "manager_id": 343,
            "requester_ip": null,
            "custom_price": false,
            "created_by": "#343 Alexandr Sales",
            "subscription_id": 3008945,
            "items": [
                {
                    "id": 23743,
                    "target_id": 3008945,
                    "target_type": "Subscription",
                    "type": "ProvisioningItem::Prolong",
                    "status": "waiting_for_payment",
                    "description": "csp_monthly",
                    "quantity": "2022-01-01"
                }
            ]
        },
        "relationships": {
            "charges": {
                "data": [
                    {
                        "id": "115181",
                        "type": "charges"
                    }
                ]
            }
        }
    }
}